Bug 484624 - dma-debug: tg3 device driver tries to sync DMA memory it has not allocated
dma-debug: tg3 device driver tries to sync DMA memory it has not allocated
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 493485 (view as bug list)
Depends On:
Blocks: 487882
  Show dependency treegraph
 
Reported: 2009-02-08 22:06 EST by David Andersson
Modified: 2010-06-28 07:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:13:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg output (1.90 KB, text/plain)
2009-02-08 22:06 EST, David Andersson
no flags Details
dmesg output from booting Rawhide i386 test CD on HP dc5750, showing check_sync warning. (41.89 KB, text/plain)
2009-04-02 19:30 EDT, John Gilmore
no flags Details

  None (edit)
Description David Andersson 2009-02-08 22:06:44 EST
Created attachment 331268 [details]
Dmesg output

Description of problem:
On boot the kernel outputs the content of dmesg.output

Version-Release number of selected component (if applicable):
Since Jörg's DMA API debugging patches were merged till 2.6.29-0.85.rc3.git7.fc11.i686 

How reproducible:
Every boot

Steps to Reproduce:
1. Boot machine
2. Watch dmesg, the output is there
3.
  
Actual results:
I haven't really seen any strange behaviour because of this. 

Expected results:
No tracebacks in dmesg

Additional info:
uname -a
Linux timshel 2.6.29-0.85.rc3.git7.fc11.i686 #1 SMP Thu Feb 5 16:29:10 EST 2009 i686 i686 i386 GNU/Linux

lspci
00:00.0 Host bridge: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE DRAM Controller/Host-Hub Interface (rev 02)
00:01.0 PCI bridge: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE Host-to-AGP Bridge (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 82)
00:1f.0 ISA bridge: Intel Corporation 82801DB/DBL (ICH4/ICH4-L) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801DB (ICH4) IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 02)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R300 ND [Radeon 9700 Pro]
01:00.1 Display controller: ATI Technologies Inc Radeon R300 [Radeon 9700 Pro] (Secondary)
02:05.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5702X Gigabit Ethernet (rev 02)
02:0e.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture (rev 11)
02:0e.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 11)
Comment 1 Jeff Burke 2009-03-24 09:53:11 EDT
<6>tg3 0000:02:00.0: PME# disabled
<29>Mar 23 18:23:33 NetworkManager: <info>  (eth0): device state change: 1 -> 2
<29>Mar 23 18:23:33 NetworkManager: <info>  (eth0): bringing up device.
<29>Mar 23 18:23:33 NetworkManager: <info>  (eth0): preparing device.
<29>Mar 23 18:23:33 NetworkManager: <info>  (eth0): deactivating device reason: 2).
<29>Mar 23 18:23:33 NetworkManager: <info>  (eth1): device state change: 1 -> 2
<29>Mar 23 18:23:33 NetworkManager: <info>  (eth1): bringing up device.
<29>Mar 23 18:23:33 NetworkManager: <info>  (eth1): preparing device.
<29>Mar 23 18:23:33 NetworkManager: <info>  (eth1): deactivating device reason: 2).
<29>Mar 23 18:23:33 NetworkManager: <info>  (eth1): device state change: 2 -> 3
<29>Mar 23 18:23:33 NetworkManager: <info>  (eth1): supplicant interface state:  starting -> ready
<6>tg3: eth0: Link is up at 100 Mbps, full duplex.
<6>tg3: eth0: Flow control is on for TX and on for RX.
<29>Mar 23 18:23:34 NetworkManager: <info>  (eth0): carrier now ON (device state 2)
<29>Mar 23 18:23:34 NetworkManager: <info>  (eth0): device state change: 2 -> 3
<4>------------[ cut here ]------------
<4>WARNING: at lib/dma-debug.c:539 check_sync+0x103/0x352() (Not tainted)
<4>Hardware name: 2687D8U
<4>tg3 0000:02:00.0: DMA-API: device driver tries to sync DMA memory it has not allocated [device address=0x0000003c00000000] [size=0 bytes]
<4>Modules linked in: ipw2200 libipw lib80211 yenta_socket rsrc_nonstatic radeon tg3 drm i2c_algo_bit i2c_core video output nsc_ircc irda crc_ccitt iscsi_ibft iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ext2 ext4 jbd2 crc16 squashfs pcspkr edd floppy nfs lockd nfs_acl auth_rpcgss sunrpc vfat fat cramfs
<4>Pid: 0, comm: swapper Not tainted 2.6.29-0.258.rc8.git2.fc11.i586 #1
<4>Call Trace:
<4> [<c042fae7>] warn_slowpath+0x7c/0xa7
<4> [<c0405f04>] ? dump_trace+0x96/0xaa
<4> [<c044dd7a>] ? find_usage_forwards+0x71/0x90
<4> [<c044f0f5>] ? check_usage_forwards+0x1d/0x3f
<4> [<c044da3d>] ? graph_unlock+0x64/0x70
<4> [<c044f174>] ? mark_lock+0x1e/0x30b
<4> [<c044da3d>] ? graph_unlock+0x64/0x70
<4> [<c04506e9>] ? __lock_acquire+0xa2d/0xace
<4> [<c06ef1ee>] ? _spin_unlock_irqrestore+0x3e/0x55
<4> [<c054935a>] ? get_hash_bucket+0x26/0x2f
<4> [<c054935a>] ? get_hash_bucket+0x26/0x2f
<4> [<c0549466>] check_sync+0x103/0x352
<4> [<c04a1fb6>] ? check_valid_pointer+0x21/0x4f
<4> [<c044f174>] ? mark_lock+0x1e/0x30b
<4> [<c0549829>] debug_dma_sync_single_for_cpu+0x23/0x2d
<4> [<f8dc8162>] T.1313+0x3a/0x48 [tg3]
<4> [<f8dc8677>] tg3_poll+0x507/0x7a7 [tg3]
<4> [<c0669e66>] net_rx_action+0x9d/0x1c0
<4> [<c0434a23>] __do_softirq+0x99/0x152
<4> [<c043498a>] ? __do_softirq+0x0/0x152
<4> <IRQ>  [<c0471e94>] ? handle_fasteoi_irq+0x0/0xb7
<4> [<c04346ca>] ? irq_exit+0x49/0x77
<4> [<c0405b3a>] ? do_IRQ+0xf4/0x10a
<4> [<c04045ac>] ? common_interrupt+0x2c/0x40
<4> [<c044f6b0>] ? trace_hardirqs_on+0xb/0xd
<4> [<c044007b>] ? parse_args+0x2c/0x1d6
<4> [<c0592135>] ? acpi_idle_enter_simple+0x13a/0x179
<4> [<c0591e23>] ? acpi_idle_enter_bm+0xc6/0x29e
<4> [<c064c568>] ? menu_select+0x3d/0xa5
<4> [<c064bac4>] ? cpuidle_idle_call+0x65/0x9d
<4> [<c0403010>] ? cpu_idle+0x72/0x92
<4> [<c06de100>] ? rest_init+0x58/0x5a
<4>---[ end trace 3b27a95edd55fcad ]---
Comment 2 John Gilmore 2009-04-02 19:26:26 EDT
On my HP dc5750 I also get this message several times on every Rawhide boot.  It gets picked up by kerneloops and makes a pop-up and asks me to report it online every time.

I get it by running the Rawhide i386 test CD: fedora-livecd--i686-201001041452 found via this page:

  https://fedoraproject.org/wiki/QA/Test_Days/2009-04-01

The odd thing about it is that it's for 0 bytes.  One would think that this bug could be trivially fixed, either by having the caller decline to make this call when 0 bytes are involved, or by the callee returning when 0 bytes are involved, before checking the address.  Or, just perhaps, figuring out why it is really happening.  I'll attach dmesg output.

I recommend increasing the severity of this bug; it appears it will bite anyone with this hardware, once they upgrade to Fedora 11.

Here is another similar report that I found:

  http://fcp.surfsite.org/modules/newbb/viewtopic.php?viewmode=flat&order=DESC&topic_id=68414&forum=12

In that report, 60 rather than 0 bytes are involved, so perhaps there is a more real bug in there.
Comment 3 John Gilmore 2009-04-02 19:30:41 EDT
Created attachment 337953 [details]
dmesg output from booting Rawhide i386 test CD on HP dc5750, showing check_sync warning.
Comment 4 Jerry Amundson 2009-04-28 11:43:12 EDT
*** Bug 493485 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2009-06-09 07:09:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 08:53:32 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 07:13:27 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.